//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

using nispi.controlclass;

namespace nispi.Menu
{
    class AnalysisTabMenu
    {
        //言語解析
        public ContextMenuStripParts contextMecabMenuStripParts;
        public ToolStripMenuItemParts menuItemMecabCloseTabParts;
        public ToolStripMenuItemParts menuItemMecabCloseAllTabParts;
        public ToolStripMenuItemParts menuItemMecabReloadParts;

        //画像抽出
        public ContextMenuStripParts contextImageMenuStripParts;
        public ToolStripMenuItemParts menuItemImageCloseTabParts;
        public ToolStripMenuItemParts menuItemImageCloseAllTabParts;
        public ToolStripMenuItemParts menuItemImageReloadParts;

        public ToolStripMenuItemParts menuItemImageAddressParts;
        public ToolStripMenuItemParts menuItemImageThumbnailParts;
        public ToolStripMenuItemParts menuItemImageAddressBrowserParts;
        public ToolStripMenuItemParts menuItemImageThumbnailBrowserParts;

        //リンク抽出
        public ContextMenuStripParts contextLinkMenuStripParts;
        public ToolStripMenuItemParts menuItemLinkCloseTabParts;
        public ToolStripMenuItemParts menuItemLinkCloseAllTabParts;
        public ToolStripMenuItemParts menuItemLinkReloadParts;

        public AnalysisTabMenu()
        {
            //言語解析
            contextMecabMenuStripParts = ContextMenuStripPartsManager.Pop();
            menuItemMecabCloseTabParts = ToolStripMenuItemPartsManager.Pop();

            menuItemMecabCloseAllTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemMecabReloadParts = ToolStripMenuItemPartsManager.Pop();

            //画像抽出
            contextImageMenuStripParts = ContextMenuStripPartsManager.Pop(); ;
            menuItemImageCloseTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemImageCloseAllTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemImageReloadParts = ToolStripMenuItemPartsManager.Pop();

            menuItemImageAddressParts = ToolStripMenuItemPartsManager.Pop();
            menuItemImageThumbnailParts = ToolStripMenuItemPartsManager.Pop();
            menuItemImageAddressBrowserParts = ToolStripMenuItemPartsManager.Pop();
            menuItemImageThumbnailBrowserParts = ToolStripMenuItemPartsManager.Pop();

            //リンク抽出
            contextLinkMenuStripParts = ContextMenuStripPartsManager.Pop(); ;
            menuItemLinkCloseTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemLinkCloseAllTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemLinkReloadParts = ToolStripMenuItemPartsManager.Pop();


            //言語解析
            menuItemMecabCloseTabParts.Text = "タブを閉じる(&W)";
            menuItemMecabCloseAllTabParts.Text = "すべてのタブを閉じる(&Q)";
            menuItemMecabReloadParts.Text = "再読み込み(&R)";

            contextMecabMenuStripParts.ItemsAdd(menuItemMecabCloseTabParts);
            contextMecabMenuStripParts.ItemsAdd(menuItemMecabCloseAllTabParts);
            contextMecabMenuStripParts.ItemsAdd("-");
            contextMecabMenuStripParts.ItemsAdd(menuItemMecabReloadParts);

            //画像抽出
            menuItemImageCloseTabParts.Text = "タブを閉じる";
            menuItemImageCloseAllTabParts.Text = "すべてのタブを閉じる";

            menuItemImageAddressParts.Text = "nispiでアドレス表示";
            menuItemImageThumbnailParts.Text = "nispiでサムネイル表示";
            menuItemImageAddressBrowserParts.Text = "ブラウザでアドレス表示";
            menuItemImageThumbnailBrowserParts.Text = "ブラウザでサムネイル表示";

            menuItemImageReloadParts.Text = "再読み込み";

            contextImageMenuStripParts.ItemsAdd(menuItemImageCloseTabParts);
            contextImageMenuStripParts.ItemsAdd(menuItemImageCloseAllTabParts);
            contextImageMenuStripParts.ItemsAdd("-");
            contextImageMenuStripParts.ItemsAdd(menuItemImageAddressParts);
            contextImageMenuStripParts.ItemsAdd(menuItemImageThumbnailParts);
            contextImageMenuStripParts.ItemsAdd(menuItemImageAddressBrowserParts);
            contextImageMenuStripParts.ItemsAdd(menuItemImageThumbnailBrowserParts);
            contextImageMenuStripParts.ItemsAdd("-");
            contextImageMenuStripParts.ItemsAdd(menuItemImageReloadParts);

            //リンク抽出
            menuItemLinkCloseTabParts.Text = "タブを閉じる(&W)";
            menuItemLinkCloseAllTabParts.Text = "すべてのタブを閉じる(&Q)";
            menuItemLinkReloadParts.Text = "再読み込み(&R)";

            contextLinkMenuStripParts.ItemsAdd(menuItemLinkCloseTabParts);
            contextLinkMenuStripParts.ItemsAdd(menuItemLinkCloseAllTabParts);
            contextLinkMenuStripParts.ItemsAdd("-");
            contextLinkMenuStripParts.ItemsAdd(menuItemLinkReloadParts);

            //analysisTabEvent = new AnalysisTabEvent(this);
        }
    }
}
